<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>
	<script type="text/javascript">
		let Animal=function(peso){
			this.peso;
			this.comer=function(){
				console.log("ÑAN ÑAN");
			};
			this.Animal=function(peso){
				this.peso=peso;
			};
			this.Animal(peso);
		};

		let Oviparo=function(peso){
			this.ponerHuevos=function(){
				console.log("huevo");
			};
			this.Oviparo=function(peso){
				Animal.call(this.peso);
			};
			this.Oviparo(peso);
		};

		Oviparo.prototype=new Animal();

		let objeto=new Oviparo(5);

		objeto.ponerHuevos();
		console.log(objeto.peso);
	</script>
</head>
<body>
	
</body>
</html>